Returned from the UserSession.loadUserData function.

### Hierarchy

- UserData

## Index

### Properties

- appPrivateKey
- authResponseToken
- coreNode
- coreSessionToken
- decentralizedID
- email
- gaiaAssociationToken
- gaiaHubConfig
- hubUrl
- identityAddress
- profile
- username

## Properties

### appPrivateKey

appPrivateKey: string

- Defined in auth/authApp.ts:52

### authResponseToken

authResponseToken: string

- Defined in auth/authApp.ts:58

### coreNode

coreNode: string

- Defined in auth/authApp.ts:56

### Optional coreSessionToken

coreSessionToken: string

- Defined in auth/authApp.ts:60

### decentralizedID

decentralizedID: string

- Defined in auth/authApp.ts:45

### Optional email

email: string

- Defined in auth/authApp.ts:42

### Optional gaiaAssociationToken

gaiaAssociationToken: string

- Defined in auth/authApp.ts:62

### Optional gaiaHubConfig

gaiaHubConfig: GaiaHubConfig

- Defined in auth/authApp.ts:67

### hubUrl

hubUrl: string

- Defined in auth/authApp.ts:55

### identityAddress

identityAddress: string

- Defined in auth/authApp.ts:48

### profile

profile: any

- Defined in auth/authApp.ts:65

### username

username: string

- Defined in auth/authApp.ts:35

Generated using TypeDoc